
#pragma once
#include "dusk.h"

typedef struct _entity_t entity_t;

typedef struct {
  uint32_t nothing;
} npc_t;

/**
 * Initializes the NPC entity.
 * 
 * @param entity The entity to initialize.
 */
void npcInit(entity_t *entity);

/**
 * Updates the NPC entity.
 * 
 * @param entity The entity to update.
 */
void npcUpdate(entity_t *entity);