/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "dusk.h"

#define TILE_WIDTH_HEIGHT 16

typedef uint8_t tile_t;

typedef enum {
  TILE_SOLID_NONE = 0,
  TILE_SOLID_FULL = 1,
  TILE_SOLID_TRIANGLE_TOP_RIGHT = 2,
  TILE_SOLID_TRIANGLE_TOP_LEFT = 3,
  TILE_SOLID_TRIANGLE_BOTTOM_RIGHT = 4,
  TILE_SOLID_TRIANGLE_BOTTOM_LEFT = 5,
} tilesolidtype_t;

typedef struct {
  tilesolidtype_t solidType;
} tilemetadata_t;